Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Futures Trade List(KEYED)

Used for API affiliates to query contract rebate records within a certain time range

Request URL

GET https://cloud-api.wooxpro.com/contract/private/affiliate/trade-list

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/private/affiliate/trade-list?user_id=123456&type=1&page=1&size=10
FieldTypeRequiredDescription
user_idLongYesuserID
typeIntYesQuery type:
-1=U-based
-2=Coin-based
pageIntYesPage number
sizeIntYesNumber of records per page
start_timeLongNoQuery start timestamp(in second)
end_timeLongNoQuery end timestamp(in second)

Response Data

Response
{
  "total": 60,
  "size": 10,
  "page": 1,
  "list": [{
    "leverage": 20.000000000000000000,
    "symbol": "BTCUSDT",
    "create_time": 1689933471000,
    "open_type": 2,
    "fee": 0.57162048,
    "deal_price": 29771.900000000000000000,
    "realised_profit": 0,
    "way": 1,
    "deal_vol": 32.000000000000000000,
    "select_copy_trade": 1,
    "user_type": 1,
    "user_id": 10048829,
    "category": 2
  }]
}
FieldTypeDescription
user_idLonguserID
user_typeIntUser Type:
-Direct User
-Indirect User
create_timeLongCreation Time
symbolStringsymbol
leverageIntleverage
select_copy_tradeIntType:
1-Copy Trading
2-Non-Copy Trading
open_typeIntPosition Type:
-1=Isolated
-2=Cross
wayIntOrder Direction:
-1=Long
-2=Close Short
-3=Close Long
-4=Short
categoryIntOrder Type:
-1=Limit Order
-2=Market Order
deal_priceDecimalAverage Deal Price
deal_volDecimalDeal Volume
feeDecimalfee
realised_profitDecimalRealized Profit and Loss